Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class CPDTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sourceforge.pmd.cpd.CPDTask

    public class CPDTask

extends org.apache.tools.ant.Task

CPDTask

Runs the CPD utility via ant. The ant task looks like this:

Required: minimumTokenCount, outputFile, and at least one file

Nested Class Summary
`static class` | `CPDTask.FormatAttribute`
`static class` | `CPDTask.LanguageAttribute`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CPDTask()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet set)`
`void` | `execute()`
`void` | `setEncoding(java.lang.String encodingValue)`
`void` | `setFormat(CPDTask.FormatAttribute formatAttribute)`
`void` | `setIgnoreIdentifiers(boolean value)`
`void` | `setIgnoreLiterals(boolean value)`
`void` | `setLanguage(CPDTask.LanguageAttribute languageAttribute)`
`void` | `setMinimumTokenCount(int minimumTokenCount)`
`void` | `setOutputFile(java.io.File outputFile)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPDTask

    public CPDTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

### setMinimumTokenCount

    public void setMinimumTokenCount(int minimumTokenCount)

### setIgnoreLiterals

    public void setIgnoreLiterals(boolean value)

### setIgnoreIdentifiers

    public void setIgnoreIdentifiers(boolean value)

### setOutputFile

    public void setOutputFile(java.io.File outputFile)

### setFormat

    public void setFormat(CPDTask.FormatAttribute formatAttribute)

### setLanguage

    public void setLanguage(CPDTask.LanguageAttribute languageAttribute)

### setEncoding

    public void setEncoding(java.lang.String encodingValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.